## expeyes 3.2.0

=== microhope/Makefile ===
DESTDIR =


all: uhope
	make -C po all

uhope: uhope.c
	$(CC) uhope.c -o uhope $(CFLAGS) $(LDFLAGS) -DGDK_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED `pkg-config gtk+-2.0 --cflags --libs`

install: uhope
	install -m 755 uhope $(DESTDIR)/usr/bin
	make -C po install DESTDIR=$(DESTDIR)

clean:
	rm -f *.o uhope
	make -C po clean

.PHONY: all install clean

=== debian/changelog ===
expeyes (3.2.0-1) unstable; urgency=medium

  * upgraded to the newest upstream version. Closes: #759955

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 07 Sep 2014 19:59:25 +0200

expeyes (3.1.10-2) unstable; urgency=medium

  * assigned the HOME environment var to some existing directory to prevent
    Lyx from using sbuild-nonexistent during sbuild runs. Closes: #759955

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 02 Sep 2014 23:29:12 +0200

expeyes (3.1.10-1) unstable; urgency=medium

  * modified mh-ide.py : added i18n and French l10n
  * removed obsoleted build-dependency on hardening-wrapper

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 29 Aug 2014 11:16:17 +0200

expeyes (3.1.9-1) UNRELEASED; urgency=medium

  * upgraded to the new upstream version, which modifies the program mh-ide.py
  * added dependencies from microhope to gnome-icon-theme, python-wxgtk3.0

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 29 Aug 2014 08:16:17 +0200

expeyes (3.1.8-3) unstable; urgency=medium

  * replaced the dependency on python-imaging-tk by
    python-pil.imagetk|python-imaging-tk as this package has become virtual.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Aug 2014 13:51:05 +0200

expeyes (3.1.8-2) unstable; urgency=medium

  * removed the straight dependency on python-pygrace; it is downgraded
    to a Suggests: clause. Closes: #742338
  * added a dependency on qtiplot
  * modified one file to use qtiplot as the plotting/analyzing utility

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Mar 2014 18:25:44 +0100

expeyes (3.1.8-1) unstable; urgency=medium

  * included the PDF files in the source package, still keeping their source
    and the Makefile to build them. Closes: #741794

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Mar 2014 00:26:10 +0100

expeyes (3.1.7-1) unstable; urgency=medium

  * upgraded to the newest upstream version.
    - better management of user files when there is no previous environment
      set
    - smoother access to the documentation
    - i18n and French l10n
  * versioned the dependency of exepeyes on python-expeyes

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 04 Mar 2014 18:43:19 +0100

expeyes (3.1.6-2) unstable; urgency=medium

  * given the management of /etc/udev/rules.d to dpkg. Closes: #739788

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Feb 2014 13:40:16 +0100

expeyes (3.1.6-1) unstable; urgency=medium

  * updated to the newest upstream version.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Feb 2014 17:56:04 +0100

expeyes (3.1.5-3) unstable; urgency=medium

  * removed the dependency on udev, replaced by a Recommends: clause;
    changed the postinstallation routine to make if succeed even if udev
    is not there. Closes: #737864.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 09 Feb 2014 16:03:46 +0100

=== debian/control ===
Source: expeyes
Section: science
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9.0.0), quilt, python (>=2.6.6-3 ),
 lyx, texlive-latex-base, texlive-latex-extra, texlive-generic-recommended,
 lmodern, imagemagick, gcc-avr, binutils-avr, avr-libc,
 pkg-config, libgtk2.0-dev
X-Python-Version: >= 2.5
Standards-Version: 3.9.5
Homepage: http://expeyes.in/

Package: expeyes
Architecture: all
Depends: ${python:Depends}, ${misc:Depends},
 python-expeyes (= ${source:Version}), python-imaging-tk|python-imaging-tk,
 tix, python-tk
Recommends: python-numpy, python-scipy
Description: hardware & software framework for developing science experiments
 This package provides high level interfaces for making science experiments
 with an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

Package: libej0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: expeyes
Description: hardware & software framework for developing science experiments
 This package provides a library usable to drive an expEYES box, and is
 necessary to run clib-based software which addresses this box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration.

Package: libej-dev
Architecture: any
Depends: ${misc:Depends},
 libej0 (>= ${source:Version}), libej0 (<< ${source:Version}.1~)
Section: libdevel
Description: hardware & software framework for developing science experiments
 This package provides headers and links to develop software in C language
 addressing an expEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration.

Package: expeyes-clib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libej0
Recommends: expeyes
Description: hardware & software framework for developing science experiments
 This package provides interfaces written in C language for making
 science experiments with an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. This package provides approximately
 the same features than the package expeyes, but its sources are in C language.

Package: expeyes-firmware-dev
Architecture: all
Section: devel
Depends: ${misc:Depends}
Recommends: gcc-avr, binutils-avr, uisp
Description: hardware & software framework for developing science experiments
 This package provides high level interfaces for making science experiments
 with an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.


Package: python-expeyes
Section: python
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-scipy,
 python-serial, python-usb, qtiplot
Suggests:  python-pygrace
Recommends: udev, expeyes-doc-en|expeyes-doc
Description: Python library for expeyes
 This package provides low level interfaces for making science experiments
 with an ExpEYES box. The library allows one to develop new programs easily
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

Package: expeyes-doc-en
Section: doc
Architecture: all
Depends: ${misc:Depends}, expeyes-doc-common
Provides: expeyes-doc
Replaces: expeyes-doc (<< 1.0.3)
Description: User manual for expeyes library, in English language
 This package provides a full documentation to use the library python-expeyes,
 which enables to program new experiments using an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.


Package: expeyes-doc-fr
Section: doc
Architecture: all
Depends: ${misc:Depends}, expeyes-doc-common
Provides: expeyes-doc
Replaces: expeyes-doc (<< 1.0.3)
Description: User manual for expeyes library, French translation
 This package provides a full documentation to use the library python-expeyes,
 which enables to program new experiments using an ExpEYES box.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

Package: expeyes-doc-common
Section: doc
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, evince
Description: Common files related to the User manual for expeyes library
 This package provides icons and desktop entries to launch a viewer with
 the documentation for expEYES.
 .
 ExpEYES is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. Analog
 voltages are measured with 0.025% resolution and time intervals with
 one microsecond. This project is based on Free and Open Source
 software, mostly written in Python programming language. The hardware
 design is also open.

Package: microhope
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
 expeyes, python-tk, avr-libc, avrdude, gnome-icon-theme,
 python-wxgtk3.0
Description: hardware & software framework to learn microcontrollers
 This package provides a set of example programs to drive an ATmega32
 microcontroller, together with a tutorial explaining how to compile
 them, upload them to the microcontroller, and how to make simple and
 more complicated modifications. It is meant to be used with the
 "microhope" board which makes it easy to upload code to the microcontroller
 through a USB link.
 .
 In addition to examples there is a library to drive all of the peripherals
 available on the "microhope" board: LED, LCD display, ADC connected to
 sensors.
 .
 A Graphic User Interface is provided too.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LD_LIBRARY_PATH += debian/libexpeyes1/usr/lib
export DEB_BUILD_HARDENING=1

%:
	dh $@ --with python2

HOME = $(CURDIR)/debian/build
override_dh_auto_build:
	mkdir $(CURDIR)/debian/build
	make all HOME=$(HOME)
	rm -rf $(CURDIR)/debian/build

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(HOME)

override_dh_install:
	dh_install
	make -C po install DESTDIR=$(CURDIR)/debian/expeyes
	make -C microhope/po install DESTDIR=$(CURDIR)/debian/microhope

## expeyes 3.4.0

=== debian/changelog ===
expeyes (3.4.0-1ubuntu2) wily; urgency=medium

  * Revert the previous change and let python-expeyes recommend
    qtiplot instead of depending on it.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Sep 2015 22:30:00 +0200

expeyes (3.4.0-1ubuntu1) wily; urgency=medium

  * python-expeyes: Don't depend on qtiplot on armhf; not built.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 08 Sep 2015 22:21:09 +0200

expeyes (3.4.0-1) unstable; urgency=medium

  * upgraded to the new version: this empowers the library with Python3 for
    expeyes-junior, and the new command "expeyes-junior" will use now Python3
    as engine.
  * updated Makefile, d/control, d/rules and d/python-expeyes.install to take
     python3 in account

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 23 Apr 2015 14:11:17 +0200

expeyes (3.3.2-1) unstable; urgency=medium

  * upgraded to the new version available in Github.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 11 Feb 2015 16:52:52 +0100

expeyes (3.3.1-2) UNRELEASED; urgency=medium

  * integerated a patch from Arun Jayan, to modify his presentation excerpt
    as author, and to fix the path to the bootloader.

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 09 Feb 2015 19:59:40 +0100

expeyes (3.3.1-1) unstable; urgency=medium

  * upgraded to the new version available in Github. Closes: #772362
  * updated Standards-Version to 3.9.7

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 06 Dec 2014 20:21:22 +0100

expeyes (3.3.0-1) unstable; urgency=medium

  * upgraded to the new version available in Github
  * updated Standards-Version to 3.9.6

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 05 Nov 2014 17:48:03 +0100

expeyes (3.2.0-4) UNRELEASED; urgency=medium

  * included a new src/microhope dir sent by Arun Jayan; removed files
    which were redundant.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 05 Nov 2014 16:20:57 +0100

expeyes (3.2.0-3) unstable; urgency=medium

  * added gnome-human-icon-theme in Recommends:, this is necessary with
    Ubuntu.
  * modified the install script to put a copy of mh-logo.png into
    /usr/share/pixmaps

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 04 Nov 2014 19:14:09 +0100

expeyes (3.2.0-2) unstable; urgency=medium

  * applied a patch sent by Arun Jayan, which changes the default
    application linked by the file microhope-avr.desktop

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 03 Nov 2014 19:40:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: science
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 9.0.0), quilt, python (>=2.6.6-3 ),
+Build-Depends: debhelper (>= 9.0.0), quilt, python-all-dev, python3-all-dev,
  lyx, texlive-latex-base, texlive-latex-extra, texlive-generic-recommended,
  lmodern, imagemagick, gcc-avr, binutils-avr, avr-libc,
  pkg-config, libgtk2.0-dev
 X-Python-Version: >= 2.5
-Standards-Version: 3.9.5
+X-Python3-Version: >= 3.2
+Standards-Version: 3.9.6
 Homepage: http://expeyes.in/
 
 Package: expeyes
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends},
+Depends: ${python:Depends}, ${python3:Depends}, ${misc:Depends},
  python-expeyes (= ${source:Version}), python-imaging-tk|python-imaging-tk,
  tix, python-tk
 Recommends: python-numpy, python-scipy
@@ -94,10 +95,10 @@
 Package: python-expeyes
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-scipy,
- python-serial, python-usb, qtiplot
+Depends: ${python:Depends}, ${python3:Depends}, ${misc:Depends}, python-scipy,
+ python-serial, python-usb
 Suggests:  python-pygrace
-Recommends: udev, expeyes-doc-en|expeyes-doc
+Recommends: udev, expeyes-doc-en|expeyes-doc, qtiplot
 Description: Python library for expeyes
  This package provides low level interfaces for making science experiments
  with an ExpEYES box. The library allows one to develop new programs easily
@@ -176,6 +177,7 @@
 Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends},
  expeyes, python-tk, avr-libc, avrdude, gnome-icon-theme,
  python-wxgtk3.0
+Recommends: gnome-human-icon-theme
 Description: hardware & software framework to learn microcontrollers
  This package provides a set of example programs to drive an ATmega32
  microcontroller, together with a tutorial explaining how to compile

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 export DEB_BUILD_HARDENING=1
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2 --with python3
 
 HOME = $(CURDIR)/debian/build
 override_dh_auto_build:

## expeyes 3.4.2

=== Makefile ===
DESTDIR =
SUBDIRS = $(shell ls -d doc bin firmware po clib/expeyes-clib microhope microhope/microhope-doc 2>/dev/null)
all:
	python setup.py build
	python3 setup.py build
	for d in $(SUBDIRS); do \
	  if [ -x $$d/configure ]; then \
	    (cd $$d; ./configure -prefix=/usr; make all;) \
	  else \
	    make -C $$d $@; \
	  fi; \
	done
	# make the bootloader hex file
	make -C microhope/firmware atmega32

install:
	# for python-expeyes
	if grep -Eq "Debian|Ubuntu" /etc/issue; then \
	  python setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr; \
	  python3 setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr; \
	else \
	  python setup.py install --root=$(DESTDIR)/ --prefix=/usr; \
	  python3 setup.py install --root=$(DESTDIR)/ --prefix=/usr; \
	fi
	install -d $(DESTDIR)/lib/udev/rules.d/
	install -m 644 99-phoenix.rules $(DESTDIR)/lib/udev/rules.d/
	# for expeyes
	install -d $(DESTDIR)/usr/share/expeyes
	cp -a eyes eyes-junior $(DESTDIR)/usr/share/expeyes
	install -d $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-logo.png \
	  $(DESTDIR)/usr/share/icons/expeyes.png
	install -m 644 pixmaps/expeyes-junior-icon.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-progman-jr-doc.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-progman-jr-doc.svg \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/nuclear-icon.png \
	  $(DESTDIR)/usr/share/icons
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 desktop/expeyes.desktop \
	  desktop/expeyes-junior.desktop desktop/Phoenix-ASM.desktop \
	  $(DESTDIR)/usr/share/applications
	make -C po install DESTDIR=$(DESTDIR)
	# for expeyes-doc-common
	install -d $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/*doc.png $(DESTDIR)/usr/share/icons
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 desktop/*doc.desktop $(DESTDIR)/usr/share/applications
	# subdirs stuff
	for d in $(SUBDIRS); do \
	  make -C $$d $@ DESTDIR=$(DESTDIR); \
	done
	# fix permissions in /usr/share/expeyes
	find $(DESTDIR)/usr/share/expeyes -type f -exec chmod 644 {} \;
	# for expeyes-clib
	ln -s /usr/lib/expeyes $(DESTDIR)/usr/share/expeyes/clib


clean:
	rm -rf *~ *.pyc build/ eyes/*~ eyes/*.pyc eyes-junior/*~ eyes-junior/*.pyc doc/fr/Docs/eyes.out
	for d in $(SUBDIRS); do \
	  [ ! -f $$d/Makefile ] || make -C $$d distclean || make -C $$d clean; \
	done
	# clean the bootloader hex file
	make -C microhope/firmware clean


.PHONY: all install clean

=== microhope/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	make -C po install DESTDIR=$(DESTDIR)
 
 clean:
-	rm -f *.o uhope
+	rm -f *.o uhope *~ *.pyc
 	make -C po clean
 
 .PHONY: all install clean

=== microhope/microhope-doc/Makefile ===
DESTDIR =
SOURCES = $(shell ls *.lyx)
PDFS    = $(patsubst %.lyx, %.pdf, $(SOURCES))
TEXS    = $(patsubst %.lyx, %.tex, $(SOURCES))
WARNING=LaTeX Warning: Label(s) may have changed. Rerun

DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
XP     = xsltproc --nonet --param man.charmap.use.subset "0"

all: microhope-en.pdf

manpages: ../create-microhope-env.1 ../microhope.1 microhope-doc.1 ../uhope.1

../create-microhope-env.1: ../create-microhope-env.xml
	cd ..; $(XP) $(DB2MAN) create-microhope-env.xml

../microhope.1: ../microhope.xml
	cd ..; $(XP) $(DB2MAN) microhope.xml

../uhope.1: ../uhope.xml
	cd ..; $(XP) $(DB2MAN) uhope.xml

microhope-doc.1: microhope-doc.xml
	$(XP) $(DB2MAN) $<

microhope-en.pdf: $(PDFS)
	cp microhope.pdf $@

install: all
	install -m 644 microhope-en.pdf  $(DESTDIR)

%.pdf: %.lyx
	@echo -n "Exporting $< to a LaTeX file ... "
	@lyx -e latex $< >/dev/null 2>&1
	@echo Done.
	@echo -n "Running PDFLaTeX"
	@ok=0; lyxfile=$<; \
	logfile=$$(echo $${lyxfile} | sed 's/\.lyx/.log/'); \
	texfile=$$(echo $${lyxfile} | sed 's/\.lyx/.tex/'); \
	while [ $$ok = 0 ]; do \
	  echo -n " ... "; \
	  pdflatex -interaction=nonstopmode $${texfile} >/dev/null 2>&1 || true; \
	  if ! grep -q "$(WARNING)" $${logfile}; then \
	    ok=1; \
	  fi; \
	done
	@echo Done.

clean:
	[ -f ../../keep-expeyes-tex ] || rm -f *.tex
	rm -f *~ *.aux *.log *.toc *.lof

distclean: clean
	[ -e ../../keep-expeyes-docs  ] || rm -f $(PDFS) microhope-*.pdf
	rm -f pics/*.eps

.PHONY: clean distclean all manpages install

=== microhope/po/Makefile ===
DESTDIR = 

SRCFILES = ../uhope.c ../mh-ide.py
POFILES = $(shell ls *.po)
MOFILES = $(patsubst %.po, %.mo, $(POFILES))
LANG    = $(patsubst %.po, %, $(POFILES))

all: $(MOFILES)

$(POFILES): messages.pot

%.mo: %.po
	msgfmt $< -o $@

messages.pot: $(SRCFILES)
	xgettext --keyword=N_ --keyword=_ -o $@ $(SRCFILES) --join-existing

clean:
	rm -f *~ *.mo

$(POFILES): messages.pot
	msgmerge --update --previous $@ $<

install: all
	for l in $(LANG); do \
	  install -d $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES; \
	  install -m 644 $$l.mo $(DESTDIR)/usr/share/locale/$$l/LC_MESSAGES/uhope.mo; \
	done

.PHONY: all install clean

=== debian/changelog ===
expeyes (3.4.2-1) unstable; urgency=medium

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Jan 2016 19:02:35 +0100

expeyes (3.4.1-3) unstable; urgency=medium

  * changed the build-dependency on libc-avr to a versioned one,
    to ensure the existence of the file crtatmega32.o

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 22 Dec 2015 16:39:26 +0100

expeyes (3.4.1-2) unstable; urgency=medium

  * added "DEB_BUILD_MAINT_OPTIONS=reproducible=-timeless" in d/rules
  * changed the dependency on qti-plot to a recommendation.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 14 Nov 2015 12:34:40 +0100

expeyes (3.4.1-1) unstable; urgency=medium

  * added dependencies for python3-based packages where dependencies on
    python packages were there, and ...
  * added a "Provides: python3-expeyes" clause, as the same code can work with
    both Python and Python3. Closes: #799203
  * removed the recommends clause on udev which is part of base packages now.
  * replaces the build-dependency on python3-dev by a dependency on
    python3-all. Closes: #799202
  * upgraded to the new upstream version, which adds support for 'srfechotime'
  * removed debian/*.menu since desktop files are installed to access
     applications

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 21 Oct 2015 10:28:40 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: science
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 9.0.0), quilt, python-all-dev, python3-all-dev,
+Build-Depends: debhelper (>= 9.0.0), quilt, python3-all, python-all,
  lyx, texlive-latex-base, texlive-latex-extra, texlive-generic-recommended,
- lmodern, imagemagick, gcc-avr, binutils-avr, avr-libc,
+ lmodern, imagemagick, gcc-avr, binutils-avr,
+ avr-libc (>=1:1.8.0+Atmel3.5.0),
  pkg-config, libgtk2.0-dev
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
@@ -14,9 +15,11 @@
 Package: expeyes
 Architecture: all
 Depends: ${python:Depends}, ${python3:Depends}, ${misc:Depends},
- python-expeyes (= ${source:Version}), python-imaging-tk|python-imaging-tk,
- tix, python-tk
-Recommends: python-numpy, python-scipy
+ python-expeyes (= ${source:Version}),
+ python3-pil.imagetk, python-pil.imagetk,
+ tix,
+ python3-tk, python-tk, 
+Recommends: python-numpy, python-scipy, python3-numpy, python3-scipy
 Description: hardware & software framework for developing science experiments
  This package provides high level interfaces for making science experiments
  with an ExpEYES box.
@@ -95,10 +98,12 @@
 Package: python-expeyes
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${python3:Depends}, ${misc:Depends}, python-scipy,
- python-serial, python-usb
+Depends: ${python:Depends}, ${python3:Depends}, ${misc:Depends},
+ python3-scipy, python3-serial, python3-usb,
+ python-scipy, python-serial, python-usb
+Provides: python3-expeyes
 Suggests:  python-pygrace
-Recommends: udev, expeyes-doc-en|expeyes-doc, qtiplot
+Recommends: qtiplot, udev, expeyes-doc-en|expeyes-doc
 Description: Python library for expeyes
  This package provides low level interfaces for making science experiments
  with an ExpEYES box. The library allows one to develop new programs easily

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,13 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+DEB_BUILD_MAINT_OPTIONS=reproducible=-timeless
+
 LD_LIBRARY_PATH += debian/libexpeyes1/usr/lib
 export DEB_BUILD_HARDENING=1
 
 %:
-	dh $@ --with python2 --with python3
+	dh $@ --with python2,python3
 
 HOME = $(CURDIR)/debian/build
 override_dh_auto_build:
@@ -29,3 +31,5 @@
 	dh_install
 	make -C po install DESTDIR=$(CURDIR)/debian/expeyes
 	make -C microhope/po install DESTDIR=$(CURDIR)/debian/microhope
+	# prevents lintian error about PYCACHE
+	rm -rf $(CURDIR)/debian/python-expeyes/usr/lib/python3/dist-packages/expeyes/__pycache__

## expeyes 4.1.1+dfsg

=== debian/changelog ===
expeyes (4.1.1+dfsg-2) unstable; urgency=medium

  * changed the dependencies of expeyes, to avoid the dependencies
    on python:any and python3-any, which prevent the package to be
    accepted in testing.
  * fixed missing dependencies for expeyes-web

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 20 May 2016 08:09:32 +0200

expeyes (4.1.1+dfsg-1) unstable; urgency=medium

  * new upstream release, which adds a web interface
  * added a new output package named expeyes-web
  * added a recommends: clause : expeyes => expeyes-web
  * updated Standards-Version: 3.9.8
  * removed sourceless javascript files from the source
  * changed the download script to remove those files automatically in
    the future
  * modified index.php to use javascript files provided by packages.
  * patched the CGI scripts to work with Debian.
  * added dependencies on libjs-jquery and libjs-bootstrap
  * created a sample file to make a web service via a virtual host

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 May 2016 15:08:21 +0200

expeyes (4.0.0-1) unstable; urgency=medium

  * upgraded to the new upstream version

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 23 Mar 2016 12:01:22 +0100

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,18 @@
  pkg-config, libgtk2.0-dev
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://expeyes.in/
 
 Package: expeyes
 Architecture: all
-Depends: ${python:Depends}, ${python3:Depends}, ${misc:Depends},
+Depends: python, python3, ${misc:Depends},
  python-expeyes (= ${source:Version}),
  python3-pil.imagetk, python-pil.imagetk,
  tix,
  python3-tk, python-tk, 
-Recommends: python-numpy, python-scipy, python3-numpy, python3-scipy
+Recommends: python-numpy, python-scipy, python3-numpy, python3-scipy,
+ expeyes-web
 Description: hardware & software framework for developing science experiments
  This package provides high level interfaces for making science experiments
  with an ExpEYES box.
@@ -98,7 +99,7 @@
 Package: python-expeyes
 Section: python
 Architecture: all
-Depends: ${python:Depends}, ${python3:Depends}, ${misc:Depends},
+Depends: python, python3, ${misc:Depends},
  python3-scipy, python3-serial, python3-usb,
  python-scipy, python-serial, python-usb
 Provides: python3-expeyes
@@ -117,6 +118,15 @@
  one microsecond. This project is based on Free and Open Source
  software, mostly written in Python programming language. The hardware
  design is also open.
+
+Package: expeyes-web
+Section: web
+Architecture: all
+Depends: python, python3, ${misc:Depends},
+ python-expeyes, libjs-jquery, libjs-bootstrap
+Description: Web interface for expEYES-Junior
+ This package allows you to access remotely to a server which drives an
+ expEYES-Jr box. This extends the power of expEYES.
 
 Package: expeyes-doc-en
 Section: doc

## expeyes 4.2.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,8 @@
 DESTDIR =
-SUBDIRS = $(shell ls -d doc bin firmware po clib/expeyes-clib microhope microhope/microhope-doc 2>/dev/null)
+SUBDIRS = $(shell ls -d bin po firmware clib/expeyes-clib microhope \
+            microhope/po microhope/microhope-doc 2>/dev/null)
+SUBDIRS_INDEP = doc
+
 all:
 	python setup.py build
 	python3 setup.py build
@@ -12,6 +15,11 @@
 	done
 	# make the bootloader hex file
 	make -C microhope/firmware atmega32
+
+all_indep:
+	for d in $(SUBDIRS_INDEP); do \
+	  make -C $$d all; \
+	done
 
 install:
 	# for python-expeyes
@@ -59,14 +67,19 @@
 	# for expeyes-clib
 	ln -s /usr/lib/expeyes $(DESTDIR)/usr/share/expeyes/clib
 
+install_indep:
+	for d in $(SUBDIRS_INDEP); do \
+	  make -C $$d install DESTDIR=$(DESTDIR); \
+	done
+
 
 clean:
 	rm -rf *~ *.pyc build/ eyes/*~ eyes/*.pyc eyes-junior/*~ eyes-junior/*.pyc doc/fr/Docs/eyes.out
-	for d in $(SUBDIRS); do \
+	for d in $(SUBDIRS) $(SUBDIRS_INDEP); do \
 	  [ ! -f $$d/Makefile ] || make -C $$d distclean || make -C $$d clean; \
 	done
 	# clean the bootloader hex file
 	make -C microhope/firmware clean
 
 
-.PHONY: all install clean
+.PHONY: all all_indep install install_indep clean

=== doc/fr/Docs/Makefile ===
DESTDIR =
LANG    = fr
SOURCES = eyes.tex
PDFS    = $(patsubst %.tex, %.pdf, $(SOURCES))
WARNING = LaTeX Warning: Label(s) may have changed. Rerun

all: $(PDFS)

install: all
	install -m 644 $(PDFS) $(DESTDIR)

%.pdf: %.tex
	@echo -n "Language=$(LANG), shell=$$(echo $$SHELL), Running PDFLaTeX "
	@ok=0; texfile=$<; logfile=$$(echo $$texfile| sed s/tex/log/); \
	while [ $$ok = 0 ]; do \
	  echo -n "... "; \
	  pdflatex -interaction=nonstopmode $${texfile} >/dev/null 2>&1 || true; \
	  if ! grep -q "$(WARNING)" $${logfile}; then \
	    ok=1; \
	  fi; \
	done; \
	echo Done.

clean:
	rm -f *~ *.aux *.log *.toc *.lof
	[ -f ../../../keep-expeyes-docs ] || rm -f $(PDFS)

=== debian/changelog ===
expeyes (4.2.1+dfsg-1) unstable; urgency=medium

  * fixed a message in logger.py
  * fixed an error with get_version()
  * modified eyesj.py to prevent extra newlines in data files and work with the
    new python-pygrace packages
  * made pygrace.grace() objects persistent in any program which uses them
  * added dependencies on versioned python{3?}-pygrace packages and
    build-dependencies on x11proto-randr-dev (>= 1.5.0)
  * fixed a deprecation warning in eyemath.py
  * fixed an indentation error in eyeplot.py, removed whitespaces in end
    of lines
  * reindented eyes.py, mca.py resistor-iv.py, freq-response.py and
    eyemath.py with spaces
  * separated rules for arch and indep targets
  * added a new file to save when a FFT is launched from croplus.py

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 23 Jun 2016 17:07:27 +0200

expeyes (4.1.1+dfsg-3) unstable; urgency=medium

  * fixed extra empty lines written in data files

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 22 Jun 2016 11:16:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 9.0.0), quilt, python3-all, python-all,
- lyx, texlive-latex-base, texlive-latex-extra, texlive-generic-recommended,
- lmodern, imagemagick, gcc-avr, binutils-avr,
- avr-libc (>=1:1.8.0+Atmel3.5.0),
- pkg-config, libgtk2.0-dev
+ gcc-avr, binutils-avr, avr-libc (>=1:1.8.0+Atmel3.5.0),
+ pkg-config, libgtk2.0-dev, x11proto-randr-dev (>= 1.5.0)
+Build-Depends-Indep: lyx, texlive-latex-base, texlive-latex-extra, texlive-generic-recommended,
+ lmodern, imagemagick
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
 Standards-Version: 3.9.8
@@ -101,9 +101,9 @@
 Architecture: all
 Depends: python, python3, ${misc:Depends},
  python3-scipy, python3-serial, python3-usb,
- python-scipy, python-serial, python-usb
+ python-scipy, python-serial, python-usb,
+ python-pygrace(>=0.5),python3-pygrace(>=0.5)
 Provides: python3-expeyes
-Suggests:  python-pygrace
 Recommends: qtiplot, udev, expeyes-doc-en|expeyes-doc
 Description: Python library for expeyes
  This package provides low level interfaces for making science experiments

=== debian/rules ===
--- 
+++ 
@@ -18,18 +18,23 @@
 	dh $@ --with python2,python3
 
 HOME = $(CURDIR)/debian/build
-override_dh_auto_build:
+override_dh_auto_build-arch:
 	mkdir $(CURDIR)/debian/build
 	make all HOME=$(HOME)
 	rm -rf $(CURDIR)/debian/build
+
+override_dh_auto_build-indep:
+	make all_indep
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf $(HOME)
 
 override_dh_install:
+	make install_indep DESTDIR=$(CURDIR)/debian/tmp
 	dh_install
 	make -C po install DESTDIR=$(CURDIR)/debian/expeyes
 	make -C microhope/po install DESTDIR=$(CURDIR)/debian/microhope
 	# prevents lintian error about PYCACHE
 	rm -rf $(CURDIR)/debian/python-expeyes/usr/lib/python3/dist-packages/expeyes/__pycache__
+	rm -rf $(CURDIR)/debian/expeyes/usr/share/expeyes/eyes/__pycache__

## expeyes 4.3.6%2Bdfsg

=== microhope/microhope-doc/Makefile ===
--- 
+++ 
@@ -2,12 +2,16 @@
 SOURCES = $(shell ls *.lyx)
 PDFS    = $(patsubst %.lyx, %.pdf, $(SOURCES))
 TEXS    = $(patsubst %.lyx, %.tex, $(SOURCES))
-WARNING=LaTeX Warning: Label(s) may have changed. Rerun
+WARNING = LaTeX Warning: Label(s) may have changed. Rerun
+DOCDIR = $(DESTDIR)/usr/share/microhope/doc
 
 DB2MAN = /usr/share/sgml/docbook/stylesheet/xsl/docbook-xsl/manpages/docbook.xsl
 XP     = xsltproc --nonet --param man.charmap.use.subset "0"
 
-all: microhope-en.pdf
+all: touch-existing-pdf microhope-en.pdf
+
+touch-existing-pdf:
+	for f in *.pdf; do touch $$f; done
 
 manpages: ../create-microhope-env.1 ../microhope.1 microhope-doc.1 ../uhope.1
 
@@ -27,11 +31,12 @@
 	cp microhope.pdf $@
 
 install: all
-	install -m 644 microhope-en.pdf  $(DESTDIR)
+	mkdir -p $(DOCDIR)
+	install -m 644 microhope-en.pdf  $(DOCDIR)/
 
 %.pdf: %.lyx
 	@echo -n "Exporting $< to a LaTeX file ... "
-	@lyx -e latex $< >/dev/null 2>&1
+	@lyx -e latex -userdir . $< >/dev/null 2>&1
 	@echo Done.
 	@echo -n "Running PDFLaTeX"
 	@ok=0; lyxfile=$<; \
@@ -48,10 +53,10 @@
 
 clean:
 	[ -f ../../keep-expeyes-tex ] || rm -f *.tex
-	rm -f *~ *.aux *.log *.toc *.lof
+	rm -rf *~ *.aux *.log *.toc *.lof *.lst cache lyxrc.*
 
 distclean: clean
 	[ -e ../../keep-expeyes-docs  ] || rm -f $(PDFS) microhope-*.pdf
 	rm -f pics/*.eps
 
-.PHONY: clean distclean all manpages install
+.PHONY: clean distclean all manpages install touch-existing-pdf
